module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_30602_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.15,
		},
		[4]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.3,
		},
		[5]={
			args={
				alive_time=3.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_306/Prefabs/306_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.3,
		},
		[6]={
			args={
				alive_time=3.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_306/Prefabs/306_buff2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=4.8,
		},
		[7]={
			args={
				alive_time=3.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_306/Prefabs/306_buff.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=4.8,
		},
		[8]={
			args={
				alive_time=0.85,
				ease_hide_time=0.45,
				ease_show_time=0.2,
				excutor=[[atkobj]],
				mat_path=[[Material/effect_Fresnel_Green02.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=5.3,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=5.8,
		},
		[10]={args={},func_name=[[MagcAnimEnd]],start_time=5.9,},
		[11]={args={},func_name=[[End]],start_time=5.95,},
	},
	group_cmds={},
	magic_anim_end_time=5.9,
	magic_anim_start_time=0,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_306/Prefabs/306_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_306/Prefabs/306_buff2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_306/Prefabs/306_buff.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
